Subject: Re: time jumps forward/backwards

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 01 Sep 2009 20:49:14 +1000

On Mon, 2009-08-31 at 23:57 -0400, Benjamin Gamsa wrote:
> Sean MacLennan wrote:
> > On Mon, 31 Aug 2009 22:20:00 -0400
> > Benjamin Gamsa <[email-masked]> wrote:
> > 
> >> For what it's worth, the problem occurs even when ntp is not even
> >> started.
> > 
> > This is grasping, but could it have anything to do with the jiffies
> > wrapping near startup?
> > 
> 
> I don't know how to test it, but I don't think so, since there are 
> multiple of these glitches over an extended period of time.

I'm not familiar with all the FSL processor variants, but is this
an UP or an SMP platform ? In the later case, are all the core timebases
properly synchronized ?

Cheers,
Ben.